QGIS Application - Feature request #1898
Group Transparency/Opacity for Legend Groups
2009-08-26 07:58 AM - Andreas Neumann

Status: Open

Priority: Low

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 11958
Description

It would be nice if we could have group transparency (on groups of layers). This is a concept available in SVG (and potentially other
technologies). The difference is that with group opacity/transparency, the layers in the group are rendered first individually (with or without
opacity) and then the transparency is added on the intermediate rendering result of the group as a whole.

The difference is clearly seen if you have layers in a group where polygons of different layers overlap. You don't want opacity on the
individual layers (since this would change colors), but you want to be able to set the opacity on the parent group, for being able to have a
background base map shine through.

Here are two links on the topic:
http://www.w3.0rg/TR/SVG/masking.html#ObjectAndGroupOpacityProperties and
http://labs.trolltech.com/blogs/2009/04/23/layered-rendering-part-2-it-helps-solve-many-problems/

Related issues:
Related to QGIS Application - Feature request # 3438: Transparency for vector... Closed

History

#1 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0
#3 - 2012-08-16 02:09 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No
- Assignee deleted (nobody -)

see also #6198

#4 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2015-06-20 07:12 AM - Andreas Neumann

see also #3438

#6 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
